Summary: CPU frequency scaling monitor applet
Name: gnome-cpufreq-applet
Version: 0.3.1
Release: 2
License: GPL
Group: User Interface/Desktops
URL: http://linups.org/~kal/gnome-cpufreq-applet/
Source: http://linups.org/~kal/gnome-cpufreq-applet/gnome-cpufreq-applet-%{version}.tar.gz
Patch: gnome-cpufreq-applet-0.3.1-autoreconf.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool gettext docbook-utils
BuildRequires: gnome-panel-devel
Requires(post): scrollkeeper GConf2
Requires(postun): scrollkeeper
Requires(preun): GConf2

%description
GNOME CPUFreq Applet is a CPU Frequency Scaling Monitor for GNOME Panel.

%prep
%setup -q
%ifarch x86_64
# patch was created after autoreconf -f -i and after removing autom4te.cache/
%patch0 -p 1 -b .autoreconf
%endif

%build
# --enable-suid=no is required so that the binary gets stripped
%configure \
	--disable-schemas-install \
	--enable-suid=no
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall
%find_lang %{name}

### Clean up buildroot
%{__rm} -rf %{buildroot}%{_localstatedir}/scrollkeeper/ 

%post
scrollkeeper-update -q || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas &>/dev/null

%preun 
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas >/dev/null || :

%postun
scrollkeeper-update -q || :

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING* NEWS README TODO
%doc %{_datadir}/gnome/help/gnome-cpufreq-applet/
%config %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas
%attr (4755,root,root) %{_bindir}/cpufreq-selector
%{_libexecdir}/gnome-cpufreq-applet
%{_datadir}/gnome-cpufreq-applet/
%{_datadir}/pixmaps/gnome-cpufreq-applet/
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/omf/gnome-cpufreq-applet/
%{_libdir}/bonobo/servers/GNOME_CPUFreqApplet.server

%changelog
* Sun Feb 13 2005 Adrian Reber <adrian@lisas.de> - 0.3.1-2
- include autoreconf patch; Fixes x86_64 build

* Sat Feb 12 2005 Adrian Reber <adrian@lisas.de> - 0.3.1-1
- updated to 0.3.1
- removed unnecessary BuildRequires
- added preun scriptlet
- added Requires for post, preun, postun
- added BuildRequires gettext and docbook-utils

* Wed Oct 06 2004 Dag Wieers <dag@wieers.com> - 0.3-1
- Updated to release 0.3.

* Sat Sep 25 2004 Dag Wieers <dag@wieers.com> - 0.2.1-1
- Updated to release 0.2.1.

* Wed May 12 2004 Dag Wieers <dag@wieers.com> - 0.1.3-1
- Updated to release 0.1.3.

* Mon Mar 29 2004 Dag Wieers <dag@wieers.com> - 0.1.2-1
- Updated to release 0.1.2.

* Wed Mar 03 2004 Dag Wieers <dag@wieers.com> - 0.1.1-0
- Initial package. (using DAR)
